
import 'dart:convert';

import 'HttpRequest.dart';
class Invoke {
  late String appsUrl;
  late HttpRequestClass client;
  String prefixAccessToken = "MBaaS.auth.accessToken";
  String prefixRefreshToken = "MBaaS.auth.refreshToken";

  Invoke(String applicationUrl) {
    this.appsUrl = applicationUrl + "/api";
    this.client = HttpRequestClass();
  }

  Future<dynamic> invokeMethod(String apiName, Object? invokeData) async {
    try {
      var req = await client.Request(appsUrl+"/"+apiName,"POST", auth: true, data: invokeData);
      print(req);
      return req.data;
    } catch (e) {
      print(e);
      throw(e);
    }
  }

}