class UpdateUserResponse {
  Data? data;

  UpdateUserResponse({this.data});

  UpdateUserResponse.fromJson(Map<String, dynamic> json) {
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  String? type;
  String? id;
  dynamic? attributes;

  Data({this.type, this.id, this.attributes});

  Data.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    id = json['id'];
    attributes = json['attributes'] != null
        ? (json['attributes'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['id'] = this.id;
    if (this.attributes != null) {
      // final Map<String, dynamic> dataAtt = new Map<String, dynamic>();
      var mock = this.attributes as Map<String, dynamic>;
      // mock.forEach((key, value) {
      //   dataAtt[key] = value;
      // });
      data['attributes'] = mock;
    }
    return data;
  }
}

